Get an issued invoice
curl --request GET \
--url https://api.breezing.io/v1/sales-invoices/{id}import requests
url = "https://api.breezing.io/v1/sales-invoices/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/sales-invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/sales-invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/sales-invoices/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/sales-invoices/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/sales-invoices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"invoiceNumber": "<string>",
"customerName": "<string>",
"status": "draft",
"issueDate": "<string>",
"dueDate": "<string>",
"currency": "<string>",
"totalAmount": "<string>",
"inBooks": true,
"totalAmountFiat": "<string>",
"paymentStatus": "paid",
"createdAt": 123,
"updatedAt": 123,
"seller": {
"name": "<string>",
"address": "<string>",
"email": "<string>",
"taxId": "<string>",
"paymentDetails": "<string>"
},
"customer": {
"name": "<string>",
"address": "<string>",
"email": "<string>"
},
"lines": [
{
"description": "<string>",
"quantity": "2",
"unitPrice": "1500",
"vatName": "<string>",
"vatRate": "<string>",
"id": "<string>",
"unit": "qty",
"account": "<string>"
}
],
"discount": {
"mode": "percent",
"value": "<string>"
},
"vatInclusive": true,
"accentId": "<string>",
"notes": "<string>",
"logoDataUrl": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Issued Invoices
Get Issued Invoice API
Retrieve the full document of an issued invoice from Breezing, including parties, line items, discount, notes, and the derived total.
GET
/
sales-invoices
/
{id}
Get an issued invoice
curl --request GET \
--url https://api.breezing.io/v1/sales-invoices/{id}import requests
url = "https://api.breezing.io/v1/sales-invoices/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/sales-invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/sales-invoices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/sales-invoices/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/sales-invoices/{id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/sales-invoices/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": 123,
"invoiceNumber": "<string>",
"customerName": "<string>",
"status": "draft",
"issueDate": "<string>",
"dueDate": "<string>",
"currency": "<string>",
"totalAmount": "<string>",
"inBooks": true,
"totalAmountFiat": "<string>",
"paymentStatus": "paid",
"createdAt": 123,
"updatedAt": 123,
"seller": {
"name": "<string>",
"address": "<string>",
"email": "<string>",
"taxId": "<string>",
"paymentDetails": "<string>"
},
"customer": {
"name": "<string>",
"address": "<string>",
"email": "<string>"
},
"lines": [
{
"description": "<string>",
"quantity": "2",
"unitPrice": "1500",
"vatName": "<string>",
"vatRate": "<string>",
"id": "<string>",
"unit": "qty",
"account": "<string>"
}
],
"discount": {
"mode": "percent",
"value": "<string>"
},
"vatInclusive": true,
"accentId": "<string>",
"notes": "<string>",
"logoDataUrl": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Last modified on November 13, 2026